function main(self)
    if self.State == 0 then
		self.Points = 25 -- +25 HP
		self.AttackRect = {-18,-18,18,18}
		self.AttackFlags.Player = true
		self:SetImage("GAME_HEALTH_POTION3")
		self.State = 5
	end
end
function attack(self)
	if self.AttackFlags.Player == false then return end
	local claw = GetClaw()
	if claw.Health < 100 and claw.Health > 0 then
		local newHealth = claw.Health + self.Points
		claw.Health = newHealth > 100 and 100 or newHealth
		PlaySound("GAME_MILK")
		self.AttackFlags.Player = false
		self.DrawFlags.NoDraw = true
	end
end
